org.apache.poi.xwpf.usermodel

## Class XWPFAbstractFootnotesEndnotes

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xwpf.usermodel.XWPFAbstractFootnotesEndnotes

- Direct Known Subclasses:
    XWPFEndnotes, XWPFFootnotes

      public abstract class XWPFAbstractFootnotesEndnotes
      extends POIXMLDocumentPart

  Base class for the Footnotes and Endnotes part implementations.
  Since:
    4.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XWPFDocument` | `document`
    `protected java.util.List<XWPFAbstractFootnoteEndnote>` | `listFootnote`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWPFAbstractFootnotesEndnotes()`
    `XWPFAbstractFootnotesEndnotes(OPCPackage pkg)`
    `XWPFAbstractFootnotesEndnotes(OPCPackage pkg, java.lang.String coreDocumentRel)`
    `XWPFAbstractFootnotesEndnotes(PackagePart part)`
    `XWPFAbstractFootnotesEndnotes(POIXMLDocumentPart parent, PackagePart part)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XWPFAbstractFootnoteEndnote` | `getFootnoteById(int id)`
    `FootnoteEndnoteIdManager` | `getIdManager()`
    `XWPFDocument` | `getXWPFDocument()`
    `void` | `setIdManager(FootnoteEndnoteIdManager footnoteIdManager)`
    `void` | `setXWPFDocument(XWPFDocument doc)`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, commit, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### document

          protected XWPFDocument document

    - #### listFootnote

          protected java.util.List<XWPFAbstractFootnoteEndnote> listFootnote

  - ### Constructor Detail

    - #### XWPFAbstractFootnotesEndnotes

          public XWPFAbstractFootnotesEndnotes(OPCPackage pkg)

    - #### XWPFAbstractFootnotesEndnotes

          public XWPFAbstractFootnotesEndnotes(OPCPackage pkg,
                                               java.lang.String coreDocumentRel)

    - #### XWPFAbstractFootnotesEndnotes

          public XWPFAbstractFootnotesEndnotes()

    - #### XWPFAbstractFootnotesEndnotes

          public XWPFAbstractFootnotesEndnotes(PackagePart part)

    - #### XWPFAbstractFootnotesEndnotes

          public XWPFAbstractFootnotesEndnotes(POIXMLDocumentPart parent,
                                               PackagePart part)

  - ### Method Detail

    - #### getFootnoteById

          public XWPFAbstractFootnoteEndnote getFootnoteById(int id)

    - #### getXWPFDocument

          public XWPFDocument getXWPFDocument()

      See Also:
        `IBody.getPart()`

    - #### setXWPFDocument

          public void setXWPFDocument(XWPFDocument doc)

    - #### setIdManager

          public void setIdManager(FootnoteEndnoteIdManager footnoteIdManager)

    - #### getIdManager

          public FootnoteEndnoteIdManager getIdManager()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.